# synfigapp::BLineConverter::cpindex Struct Reference

`#include <blineconvert.h>`

List of all members.

## Public Member Functions

| cpindex (int ci, synfig::Real s=0, synfig::Real e=-1)
| cpindex (const cpindex &o)
const cpindex & | operator= (const cpindex &rhs)
bool | operator< (const cpindex &rhs) const

## Public Attributes

int | curind
synfig::Real | tangentscale
synfig::Real | error

## Constructor & Destructor Documentation

synfigapp::BLineConverter::cpindex::cpindex | ( | int | ci,
|  | synfig::Real | s = `0`,
|  | synfig::Real | e = `-1` |
| ) |  |  | `[inline]`

synfigapp::BLineConverter::cpindex::cpindex | ( | const cpindex & | o | ) | `[inline]`

## Member Function Documentation

const cpindex& synfigapp::BLineConverter::cpindex::operator= | ( | const cpindex & | rhs | ) | `[inline]`

References curind, error, and tangentscale.

bool synfigapp::BLineConverter::cpindex::operator< | ( | const cpindex & | rhs | ) | const`[inline]`

References curind.

## Member Data Documentation

int synfigapp::BLineConverter::cpindex::curind

Referenced by operator<(), and operator=().

synfig::Real synfigapp::BLineConverter::cpindex::tangentscale

Referenced by operator=().

synfig::Real synfigapp::BLineConverter::cpindex::error

Referenced by operator=().

The documentation for this struct was generated from the following file:

- blineconvert.h